Crypto Transfer
curl --request POST \
--url https://api-production.fossapay.com/api/v1/transfers/crypto \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"customerId": "<string>",
"recipient": "<string>",
"network": "<string>",
"currency": "<string>",
"amount": 123
}
'import requests
url = "https://api-production.fossapay.com/api/v1/transfers/crypto"
payload = {
"customerId": "<string>",
"recipient": "<string>",
"network": "<string>",
"currency": "<string>",
"amount": 123
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: '<string>',
recipient: '<string>',
network: '<string>',
currency: '<string>',
amount: 123
})
};
fetch('https://api-production.fossapay.com/api/v1/transfers/crypto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "processing crypto transaction",
"data": {
"token": {
"symbol": "usdc",
"amount": 100.50
},
"network": "solana",
"recipientAddress": "2nNrjVxaAv***1JBn52FqyHMjZ76SaHmsBv6Zz7Xoo5v",
"senderAddress": "EtNrjVxaAv***1JBn52FqyHMjZ76SaHmsBv6Zz7Xoo5v",
"status": "processing"
}
}
Crypto Transfers
Crypto Transfer
Make crypto transfer in USDT and USDC
POST
/
api
/
v1
/
transfers
/
crypto
Crypto Transfer
Request
API Key for authentication
UUID of the customer making the transfer
Recipient wallet address
The blockchain network for the transfer. Must be one of:
solana, evmThe cryptocurrency to transfer. Must be one of:
usdc, usdtThe amount to transfer
Request Example
curl -X POST https://api-production.fossapay.com/api/v1/transfers/crypto \
-H "x-api-key: your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"customerId": "550e8400-e29b-41d4-a716-446655440000",
"recipient": "2nNrjVxaAv***1JBn52FqyHMjZ76SaHmsBv6Zz7Xoo5v",
"network": "solana",
"currency": "usdc",
"amount": 100.50
}'
const response = await fetch('https://api-production.fossapay.com/api/v1/transfers/crypto', {
method: 'POST',
headers: {
'x-api-key': 'your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerId: '550e8400-e29b-41d4-a716-446655440000',
recipient: '2nNrjVxaAv***1JBn52FqyHMjZ76SaHmsBv6Zz7Xoo5v',
network: 'solana',
currency: 'usdc',
amount: 100.50
})
});
if (!response.ok) {
throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}
const transfer = await response.json();
Response
{
"status": true,
"message": "processing crypto transaction",
"data": {
"token": {
"symbol": "usdc",
"amount": 100.50
},
"network": "solana",
"recipientAddress": "2nNrjVxaAv***1JBn52FqyHMjZ76SaHmsBv6Zz7Xoo5v",
"senderAddress": "EtNrjVxaAv***1JBn52FqyHMjZ76SaHmsBv6Zz7Xoo5v",
"status": "processing"
}
}
{
"status": false,
"message": "Bad request",
"error": "Invalid customer ID"
}
{
"status": false,
"message": "Internal server error",
"error": "Transaction processing failed"
}
⌘I

